Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.datamodel
Class EnumValue

`java.lang.Object
java.util.AbstractMap
java.util.HashMap
oracle.rules.sdk.editor.datamodel.ModelComponent
oracle.rules.sdk.editor.datamodel.EnumValue`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class EnumValue
extends ModelComponent

Represent a value in an enumeration list.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROP_VALUE`

Fields inherited from class oracle.rules.sdk.editor.datamodel.ModelComponent
`m_dm, m_parent, PROP_ALIAS, PROP_ID, PROP_NAME, PROP_PROPERTIES, PROP_VISIBLE`

Method Summary
`java.util.List` | `getPropertyNames()`
`java.lang.String` | `getValue()` Get the the enum value
`void` | `setValue(java.lang.String val)` Set the enum value

Methods inherited from class oracle.rules.sdk.editor.datamodel.ModelComponent
`get, getAlias, getDataModel, getID, getName, getParent, getProperties, getVisible, setAlias, setName, setVisible, validate`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### PROP_VALUE

    public static final java.lang.String PROP_VALUE

  See Also:
    Constant Field Values

Method Detail

### getValue

    public java.lang.String getValue()

  Get the the enum value
  Returns:
    enumValue

### setValue

    public void setValue(java.lang.String val)

  Set the enum value
  Parameters:
    `val` - enum value

### getPropertyNames

    public java.util.List getPropertyNames()

  Returns:
    list of property names

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.